package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.ActDispensing;
import com.ruoyi.system.mapper.ActSuppliesAccountMapper;
import com.ruoyi.system.service.IActSuppliesAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ActSuppliesAccountServiceImpl implements IActSuppliesAccountService {

    @Autowired
    private ActSuppliesAccountMapper actSuppliesAccountMapper;

    @Override
    public List<ActDispensing> options(List<ActDispensing> actDispensings) {

        for (int i=0;i<actDispensings.size();i++) {
            if (actDispensings.get(i).getDepartment().equals("")||actDispensings.get(i).getDepartment()==null){
                ActDispensing actDispensing = actSuppliesAccountMapper.selectActSuppliesAccpuntByName(actDispensings.get(i).getName());
                if (actDispensing !=null){
                    actDispensings.get(i).setAccountingCode(actDispensing.getAccountingCode());
                    actDispensings.get(i).setAccountingNameA(actDispensing.getAccountingNameA()+','+actDispensing.getAccountingIdA());
                    actDispensings.get(i).setAccountingNameB(actDispensing.getAccountingNameB()+','+actDispensing.getAccountingIdB());
                    actDispensings.get(i).setAccountingNameC(actDispensing.getAccountingNameC()+','+actDispensing.getAccountingIdC());
                }
            }else {
                ActDispensing actDispensing = actSuppliesAccountMapper.selectActSuppliesAccpuntByName(actDispensings.get(i).getName() + '-' + actDispensings.get(i).getDepartment() + '-' + actDispensings.get(i).getMaterial());
                if (actDispensing !=null){
                    actDispensings.get(i).setAccountingCode(actDispensing.getAccountingCode());
                    actDispensings.get(i).setAccountingNameA(actDispensing.getAccountingNameA()+','+actDispensing.getAccountingIdA());
                    actDispensings.get(i).setAccountingNameB(actDispensing.getAccountingNameB()+','+actDispensing.getAccountingIdB());
                    actDispensings.get(i).setAccountingNameC(actDispensing.getAccountingNameC()+','+actDispensing.getAccountingIdC());
                }
            }
        }
        List<ActDispensing> actDispensing = actSuppliesAccountMapper.selectActSuppliesAccpuntByCode();
        for (int i=0;i<actDispensing.size();i++){
            actDispensing.get(i).setAccountingNameA(actDispensing.get(i).getAccountingNameA()+','+actDispensing.get(i).getAccountingIdA());
            actDispensing.get(i).setAccountingNameB(actDispensing.get(i).getAccountingNameB()+','+actDispensing.get(i).getAccountingIdB());
            actDispensing.get(i).setAccountingNameC(actDispensing.get(i).getAccountingNameC()+','+actDispensing.get(i).getAccountingIdC());
            actDispensings.add(actDispensing.get(i));
        }

        return actDispensings;
    }


}
